Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub.cluster
Class NodeChangeTask

    java.lang.Object
      org.jivesoftware.openfire.pubsub.cluster.NodeChangeTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public abstract class NodeChangeTask

extends Object
implements ClusterTask

Base class of clustering tasks for pubsub. It simply stores/retrieves the node.

Author:
  Robin Collier
See Also:
  Serialized Form

Constructor Summary
`NodeChangeTask()`
`NodeChangeTask(Node node)`
`NodeChangeTask(String nodeIdent)`

Method Summary
`Node` | `getNode()`
`String` | `getNodeId()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jivesoftware.util.cache.ClusterTask
`getResult`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### NodeChangeTask

    public NodeChangeTask()

### NodeChangeTask

    public NodeChangeTask(String nodeIdent)

### NodeChangeTask

    public NodeChangeTask(Node node)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getNode

    public Node getNode()

### getNodeId

    public String getNodeId()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.